Several examples run on only mbed-os5.13.0 (not 5.14.0)

Dependencies:   BD_SD_DISCO_F769NI BSP_DISCO_F769NI LCD_DISCO_F769NI TS_DISCO_F769NI USBHost_F769NI

check_revision.cpp

Committer:
kenjiArai
Date:
10 months ago
Revision:
4:0f4affc00183
Parent:
3:35ac9ee7d2d6

File content as of revision 4:0f4affc00183:

/*
 * Check Mbed revision
 *
 * Copyright (c) 2019 Kenji Arai / JH1PJL
 *  http://www.page.sannet.ne.jp/kenjia/index.html
 *  https://os.mbed.com/users/kenjiArai/
 *      Created:    July      17th, 2019
 *      Revised:    October   14th, 2019
 */

#include "mbed.h"

#if 0   // as of Oct.14th, Latest revision does not work for DISCO-F769
// #1 RTC -> NG -> pc.readable() does not work
// #2 LCD -> NG -> LCD screen is not stable
// #3 Tiuch -> NG -> LCD screen is not stable
// #4 & beyond -> Gave up for checking

//    RUN ONLY ON mbed-os5.14.0
#if (MBED_MAJOR_VERSION == 5) &&\
    (MBED_MINOR_VERSION == 14) &&\
    (MBED_PATCH_VERSION == 0)
    #if defined(TARGET_STM32F769NI)
        // correct mbed-os version
    #else
        #error "Not DISCO-F769NI"
    #endif
#else
    //#warning "Please use Mbed-os5.14.0"
    #error "Please use Mbed-os5.14.0"
#endif

#else   // Only works well this revision

//    RUN ONLY ON mbed-os5.13.0
#if (MBED_MAJOR_VERSION == 5) &&\
    (MBED_MINOR_VERSION == 13) &&\
    (MBED_PATCH_VERSION == 0)
    #if defined(TARGET_STM32F769NI)
        // correct mbed-os version
    #else
        #error "Not DISCO-F769NI"
    #endif
#else
    //#warning "Please use Mbed-os5.13.0"
    #error "Please use Mbed-os5.13.0(7482462434 25 Jun 2019 Martin Kojtal)"
#endif

#endif